Bug 784908 - rpc.gssd linking issue
rpc.gssd linking issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 784909
  Show dependency treegraph
 
Reported: 2012-01-26 10:56 EST by Simo Sorce
Modified: 2012-07-02 18:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.5-14.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 784909 (view as bug list)
Environment:
Last Closed: 2012-05-08 00:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2012-01-26 10:56:36 EST
rpc.gssd is supposed to link against the libgssglue librray so that rpc.gssd becomes independent from the specific gssapi implementation.

Libgssglue uses the /etc/gssapi_mech.conf file to detemine what gssapi to dlopen() and use. By default it loads libgssapi_krb5.so which is provided by the MIT krb5 packages.

rpc.gssd do link agains libgssglue.so, unfortunately it also links against libgssapi_krb5.so

These 2 library export the same symbols so results are unpredictable if libgssglue is configured to use a different library.

rpc.gssd should not link against libgssapi_krb5 directly and let libgssglue.so load it dynamically at startup.
Comment 1 Fedora Update System 2012-03-27 11:48:59 EDT
nfs-utils-1.2.5-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-4479/nfs-utils-1.2.5-14.fc17
Comment 2 Fedora Update System 2012-03-27 11:53:22 EDT
nfs-utils-1.2.5-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.5-6.fc16
Comment 3 Fedora Update System 2012-04-21 17:02:52 EDT
Package nfs-utils-1.2.5-14.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nfs-utils-1.2.5-14.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4479/nfs-utils-1.2.5-14.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-08 00:11:45 EDT
nfs-utils-1.2.5-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-05-29 16:11:52 EDT
nfs-utils-1.2.5-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.5-8.fc16
Comment 6 Fedora Update System 2012-07-02 18:28:06 EDT
nfs-utils-1.2.5-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.